PHP Manual
Prev |  | Next

# ncurses_cbreak

(PHP 4 >= 4.1.0, PHP 5)

ncurses_cbreak -- Switch of input buffering

## Description

bool ncurses_cbreak ( void )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Disables line buffering and character processing (interrupt and flow control characters are unaffected), making characters typed by the user immediately available to the program.

## Return Values

Returns `TRUE` or NCURSES_ERR if any error occurred.

## See Also

ncurses_nocbreak()

Prev | Home | Next
ncurses_can_change_color | Up | ncurses_clear